
Katello - Feature #7124

As an API user, I would like to CRUD 'Docker' repository.

08/18/2014 09:46 AM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Container   

Target version: Katello 2.1   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/468
Description

Related issues:

Blocks Katello - Tracker #7125: Docker Content Support Closed

Blocks Katello - Feature #7598: As a UI user, I should be able to manage Dock... Closed 09/23/2014

Blocked by Katello - Feature #7599: As a Runcible user, I should be able to m... Closed 09/23/2014

Associated revisions

Revision 2ccb5169 - 09/24/2014 03:20 PM - Brad Buckingham

fixes #7124 - Docker - initial backend/api changes to support repository CRUD actions

This commit contains the changes to support create/review/update/delete

of docker repositories.

Revision 831bc090 - 09/24/2014 07:08 PM - Brad Buckingham

Merge pull request #4683 from bbuckingham/issue-7124

fixes #7124 - Docker - initial backend/api changes to support repository...

Revision 609e77a2 - 10/01/2014 10:06 AM - Brad Buckingham

refs #7124 - docker - fix issue where repo was always created as protected

Revision ef148dfb - 10/01/2014 10:56 AM - Brad Buckingham

Merge pull request #4693 from bbuckingham/refs-7124

refs #7124 - docker - fix issue where repo was always created as protected

Revision 984bee3f - 10/02/2014 01:31 PM - Brad Buckingham

refs #7124 - docker - downcase pulp_id when creating docker repository

Unfortunately, docker requires that repository names do not contain capital

letters.  More specifically, it currently requires that they consist of [a-z0-9-_.]+.

The pulp_id is currently constructed of the labels from org, env, view and

repo.  The label currently follows the rule, with the exception that capital

letters are supported; therefore, this commit will downcase the pulp_id

for docker repos.

Revision 1b1566e1 - 10/02/2014 03:31 PM - David Davis

Merge pull request #4695 from bbuckingham/refs-7124

refs #7124 - docker - downcase pulp_id when creating docker repository
History

#1 - 08/18/2014 09:46 AM - Eric Helms

- Blocks Tracker #7125: Docker Content Support added

#2 - 08/18/2014 11:18 AM - Eric Helms

- Target version set to 55

#3 - 08/18/2014 01:18 PM - Eric Helms

- Status changed from New to Needs design

#4 - 09/04/2014 08:22 AM - David Davis

- Category set to Container

- Assignee set to David Davis

#5 - 09/08/2014 08:12 AM - Eric Helms

- Target version changed from 55 to 56

#6 - 09/18/2014 09:24 AM - David Davis

- Blocked by Feature #7526: Upgrade to pulp 2.5 added

#7 - 09/23/2014 10:40 AM - Eric Helms

- Subject changed from As a user, I would like to create a 'Docker' repository. to As a user, I would like to CRUD 'Docker' repository through the API.

#8 - 09/23/2014 10:40 AM - Eric Helms

- Subject changed from As a user, I would like to CRUD 'Docker' repository through the API. to As an API user, I would like to CRUD 'Docker'

repository.

#9 - 09/23/2014 10:55 AM - Eric Helms

- Blocks Feature #7598: As a UI user, I should be able to manage Docker repositories. added

#10 - 09/23/2014 11:01 AM - Eric Helms

- Blocked by Feature #7599: As a Runcible user, I should be able to manage Docker repositories. added

#11 - 09/23/2014 02:58 PM - Brad Buckingham

- Assignee changed from David Davis to Brad Buckingham

This issue should address the changes needed to both the backend (e.g. actions/models) and the API.

#12 - 09/24/2014 03:23 PM - The Foreman Bot

- Status changed from Needs design to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4683 added

- Pull request deleted ()

#13 - 09/27/2014 12:38 PM - Eric Helms

- Target version changed from 56 to 58

#14 - 10/02/2014 04:22 PM - David Davis

- Blocked by deleted (Feature #7526: Upgrade to pulp 2.5)

#15 - 10/02/2014 04:25 PM - David Davis

- Status changed from Ready For Testing to Closed
